using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models.Identity
{
    public class AccountModel : ResponseModel
    {
        public string Mobile { get; set; }
        public string Name { get; set; }

        public override string ToString()
        {
            return $"{Name} {Mobile}";
        }
    }

    public class CheckLoginResponse : AccountModel
    {
        public bool HasName => !string.IsNullOrEmpty(Name);

        public bool IsDeveloper { get; set; }
    }
}
